# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.code_review:transforms
    - gecko_taskgraph.transforms.job:transforms
    - gecko_taskgraph.transforms.task:transforms

kind-dependencies:
    - source-test
    - toolchain

task-defaults:
    use-python: default

tasks:
    issues:
        label: code-review-issues
        description: List all issues found in static analysis and linting tasks
        worker-type: b-linux-gcp

        # Only run by using the code-review target_tasks_method
        run-on-projects: []

        # This option permits to run the task
        # regardless of the soft-dependencies tasks exit status
        # as we are interested in the task failures
        requires: all-resolved

        # Publish on pulse
        routes:
            - project.relman.codereview.v1.try_ending

        # Dummy execution for now, we only need the pulse message
        worker:
            docker-image:
                in-tree: debian12-base
            max-run-time: 600
        run:
            using: run-task
            checkout: false
            command: /bin/true
